Name:       drumkv1
Version:    0.9.19
Release:    %mkrel 1
Summary:    An old-school drum-kit sampler
License:    GPLv2+
Group:      Sound/Midi
URL:        https://drumkv1.sourceforge.io/
Source0:    http://download.sourceforge.net/drumkv1/%{name}-%{version}.tar.gz
Patch0:     drumkv1-0.8.2-mga-qmake-strip.patch

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  qttools5

%description
drumkv1 is an old-school all-digital drum-kit sampler synthesizer
with stereo effects. This package provides the standalone application.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}_jack
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-*.svg
%{_mandir}/man1/%{name}*.1*

#--------------------------------------------------------------------

%define lv2name lv2-%{name}

%package -n %{lv2name}
Summary:        drumkv1 drum-kit sampler LV2 plugin
Group:          Sound/Midi
Requires:       %{name} = %{version}

%description -n %{lv2name}
drumkv1 is an old-school all-digital drum-kit sampler synthesizer
with stereo effects. This package provides the LV2 plugin.

%files -n %{lv2name}
%{_libdir}/lv2/%{name}.lv2/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
./autogen.sh
%configure --enable-debug

%make_build

%install
%make_install

desktop-file-install \
    --remove-key="X-SuSE-translate" \
    --remove-key="Version" \
    --set-key=Exec --set-value="%{name}_jack" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-man


%changelog
* Tue Dec 22 2020 daviddavid <daviddavid> 0.9.19-1.mga8
+ Revision: 1662728
- new version: 0.9.19

* Wed Dec 16 2020 umeabot <umeabot> 0.9.18-2.mga8
+ Revision: 1658331
- Rebuild for new Qt5

* Tue Nov 03 2020 akien <akien> 0.9.18-1.mga8
+ Revision: 1642193
- Version 0.9.18

* Wed Sep 16 2020 daviddavid <daviddavid> 0.9.17-1.mga8
+ Revision: 1626932
- new version: 0.9.17

* Tue Aug 11 2020 daviddavid <daviddavid> 0.9.16-1.mga8
+ Revision: 1613205
- new version: 0.9.16

* Tue Jun 30 2020 daviddavid <daviddavid> 0.9.15-1.mga8
+ Revision: 1600590
- new version: 0.9.15

* Tue May 12 2020 daviddavid <daviddavid> 0.9.14-1.mga8
+ Revision: 1583241
- new version: 0.9.14

* Sun Mar 29 2020 daviddavid <daviddavid> 0.9.13-1.mga8
+ Revision: 1562086
- new version: 0.9.13

* Thu Feb 20 2020 umeabot <umeabot> 0.9.12-2.mga8
+ Revision: 1546566
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 0.9.12-1.mga8
+ Revision: 1486761
- new version: 0.9.12
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 23 2019 daviddavid <daviddavid> 0.9.11-1.mga8
+ Revision: 1462443
- new version: 0.9.11
- the former shared common core and UI package is now duplicated but
  statically linked though, so remove shared libraries

* Mon Oct 14 2019 daviddavid <daviddavid> 0.9.10-1.mga8
+ Revision: 1452992
- new version: 0.9.10

* Sun Jul 21 2019 daviddavid <daviddavid> 0.9.9-1.mga8
+ Revision: 1423242
- new version: 0.9.9

* Thu Jul 04 2019 daviddavid <daviddavid> 0.9.8-1.mga8
+ Revision: 1418258
- new version: 0.9.8

* Wed Apr 17 2019 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1391887
- new version: 0.9.7

* Fri Apr 12 2019 daviddavid <daviddavid> 0.9.6-1.mga7
+ Revision: 1389335
- new version: 0.9.6

* Sat Mar 30 2019 umeabot <umeabot> 0.9.4-2.mga7
+ Revision: 1381601
- Qt5 Rebuild

* Wed Feb 06 2019 daviddavid <daviddavid> 0.9.4-1.mga7
+ Revision: 1363674
- new version: 0.9.4

* Fri Nov 02 2018 daviddavid <daviddavid> 0.9.3-1.mga7
+ Revision: 1327618
- new version: 0.9.3

* Sun Aug 26 2018 daviddavid <daviddavid> 0.9.2-1.mga7
+ Revision: 1254540
- new version: 0.9.2

* Mon May 14 2018 akien <akien> 0.9.0-1.mga7
+ Revision: 1229329
- Version 0.9.0

* Sat Dec 30 2017 akien <akien> 0.8.6-1.mga7
+ Revision: 1187681
- Version 0.8.6

* Sat Aug 26 2017 akien <akien> 0.8.4-1.mga7
+ Revision: 1147954
- Version 0.8.4

* Sun Jun 25 2017 akien <akien> 0.8.3-1.mga6
+ Revision: 1108387
- Version 0.8.3

* Mon May 15 2017 akien <akien> 0.8.2-1.mga6
+ Revision: 1101795
- Revert to release build, add patch to prevent stripping binaries
+ animtim <animtim>
- split lib and cleanup
- better source link
- imported package drumkv1

